Info
Fill Solution
Contains the actual solution, once solved.
GET
/
v2
/
fill
/
jobs
/
{id}
/
solution
Solution
curl --request GET \
--url https://api.solvice.io/v2/fill/jobs/{id}/solution \
--header 'Authorization: <api-key>'import requests
url = "https://api.solvice.io/v2/fill/jobs/{id}/solution"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.solvice.io/v2/fill/jobs/{id}/solution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "SOLVED",
"score": {
"hardScore": 123,
"mediumScore": 123,
"softScore": 123,
"feasible": true
},
"assignments": [
{
"shift": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"skills": [
"<string>"
],
"employee": "<string>",
"travelTimeInSeconds": 123
}
],
"unassigned": [
"<string>"
],
"unservedReasons": {},
"suggestions": [
{
"shift": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"skills": [
"<string>"
],
"employee": "<string>",
"travelTimeInSeconds": 123
}
],
"violations": [
{
"name": "<string>",
"value": 123,
"level": "[HARD, MEDIUM, SOFT]"
}
]
}Authorizations
Api Key based authentication (apikey)
Path Parameters
Response
200 - application/json
OK
Fill response from solve
Id of the solve job
Example:
"0000-00000-00000-0000"
Status of the solve job.
Available options:
ERROR, QUEUED, SOLVING, SOLVED Example:
"SOLVED"
The score of a solution shows how good this solution is w.r.t all the constraints. All solvers try to maximize the score.
Show child attributes
Show child attributes
Actual solution: assignments per shift
Show child attributes
Show child attributes
Unassigned shifts
Example:
"[shift-1]"
Per unassigned shift, the hard constraints blocking assignment.
Show child attributes
Show child attributes
Example:
{ "shift-1": ["Employee Skill Match"] }
List of suggested shift assignments returned by suggest api call
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Solution
